## Stamp and Watermark

create PDF, merge onto each page. above = stamp, below = watermark escape codes in text

### Options

> `java tool.pdf.Stamp [options] PDF-file(s)`

- -stamp -- (Default)
- -watermark -- (Default)
- -page number -- take stamp page from source PDF page number. This way can have sample books with many stamp or watermark pages, rather than lots of separate PDF files.
- -page range -- stamp/watermark pages in range
- -page1 number -- sets number of first page, for maintaining consecutive page numbers across documents
- -inplace -- overwrite existing PDF, which is useful for multiple passes
- -password password -- password if PDF is encrypted

### Escape Codes

Percent codes within source PDF.

- `%%` - percent character itself
- `%p` - page number
- `%P` - total number of pages
- `%d` - date
- `%` - ...
- `%` -

### Library

Stamp

- page number at bottom-right (A4 page)
- Bates number at bottom-right (A4 page)

Watermark

- DRAFT (A4 page)